/*
 * Knight.h
 *
 *  Created on: 15/apr/2013
 *      Author: bertini
 */

#ifndef KNIGHT_H_
#define KNIGHT_H_

#include "Character.h"

class Knight: public Character {
public:
	Knight(std::string n, int hp, int a = 8, int d = 7, int l = 0);
	virtual ~Knight();

	virtual int fight(Character& enemy);
	virtual void move(int x, int y);

	int getLevel() const {
		return level;
	}

	void setLevel(int level) {
		this->level = level;
	}

protected:
	int level;
};

#endif /* KNIGHT_H_ */
